Name:           perl-Config-Model
Version:        1.235
Release:        8%{?dist}
Summary:        Framework to create configuration validation tools and editors
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Model/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-%{version}.tar.gz
Patch0:         Config-Model-1.235-yamlreq.patch
BuildArch:      noarch
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Log::Log4perl) >= 1.11
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Parse::RecDescent) >= v1.90.0
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(Test::Command)
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(YAML::Any) >= 0.70
BuildRequires:  perl(Hash::Merge) >= 0.12
BuildRequires:  perl(MooseX::Singleton) >= 0.21
BuildRequires:  perl(MooseX::StrictConstructor) >= 0.11
BuildRequires:  perl(Text::Autoformat) >= 1.14
BuildRequires:  perl(Path::Class) >= 0.18
BuildRequires:  perl(Probe::Perl) >= 0.01
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# RPM 4.8 filters
# Fuse is recommanded, not required
%filter_from_requires /perl(Fuse)/d;
# Fedora is not a Debian system
%filter_from_requires /perl(AptPkg::Config)/d; /perl(AptPkg::System)/d; /perl(AptPkg::Version)/d
%{?perl_default_filter}
# RPM 4.9 filters
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Fuse\\)
%global __requires_exclude %__requires_exclude|perl\\(AptPkg::.*\\)


%description
Using Config::Model, a typical configuration validation tool will be made
of 3 parts :
1. The user interface
2. The validation engine which is in charge of validating all the 
configuration information provided by the user.
3. The storage facility that store the configuration information

%prep
%setup -q -n Config-Model-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%defattr(-,root,root,-)
%doc ChangeLog config-edit examples LICENSE MODELS README TODO
%{perl_vendorlib}/*
%{_bindir}/config-edit
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Petr Pisar <ppisar@redhat.com> - 1.235-7
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.235-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 1.235-5
- RPM 4.9 dependency filtering added

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.235-4
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.235-3
- Perl mass rebuild

* Thu Apr 07 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.235-2
- Remove BuildRoot and clean macro (no longer used)
- Add perl default filter
- Filter out uneeded requirements
- Update and apply patch for YAML::Any requirement

* Tue Mar 08 2011 David Hannequin <david.hannequin@gmail.com> 1.235-1
- Update from upstream.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.205-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.205-5
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Aug 17 2010 David Hannequin <david.hannequin@gmail.com> 1.205-4
- Add forgotten apply patch YAML::Any version (thank for patch).

* Tue Aug 10 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.205-3
- inside module is needed YAML::Any > 0.303. 0.70 < 0.303 for rpm

* Mon Jul 25 2010 David Hannequin david.hannequin@gmail.com 1.205-2
- Fix tag.

* Mon Jul 25 2010 David Hannequin david.hannequin@gmail.com 1.205-1
- Updated to a new upstream version.

* Mon Jun 28 2010 David Hannequin david.hannequin@gmail.com 1.001-1
- Updated to a new upstream version.

* Sun Jun 21 2010 David Hannequin david.hannequin@gmail.com 0.644-4
- Fix wrong syntax.

* Sun Jun 20 2010 David Hannequin david.hannequin@gmail.com 0.644-2
- Add build requires.

* Wed Jun 11 2010 David Hannequin david.hannequin@gmail.com 0.644-1
- Updated to a new upstream version.

* Sun Aug 09 2009 David Hannequin david.hannequin@gmail.com 0.638-4
- Modify license.

* Sat Aug 08 2009 David Hannequin david.hannequin@gmail.com 0.638-3
- Add missing build require.

* Sun Aug 02 2009 David Hannequin david.hannequin@gmail.com 0.638-2
- Fix wrong path.

* Fri Jul 31 2009 David Hannequin <david.hannequin@gmail.com> 0.638-1
- First release.

